      subroutine mul(n, moda, i, j, k, a, b, c)
      implicit real(8)(a-h,o-z)
      real(8) a(n+moda,n),b(n+moda,n)
      real(4) c(n+moda,n)

      a(i,j)=a(i,j)+b(i,k)*c(k,j)

      return
      end
